use rand::{RngExt, distr::Alphanumeric};

#[path = "./modules/io/io.rs"]
pub mod io;

#[path = "./modules/math/math.rs"]
pub mod math;

#[path = "./modules/sys/sys.rs"]
pub mod sys;

#[path = "./modules/uid/uid.rs"]
pub mod uid;

#[path = "./modules/time/time.rs"]
pub mod time;

pub fn get_random_string(size: usize) -> String {
    let rs: String = rand::rng()
        .sample_iter(&Alphanumeric)
        .take(size)
        .map(char::from)
        .collect();

    rs
}
